<h2>Reactive Form</h2>
<hr />
<form [formGroup]="userForm" #form="ngForm" (ngSubmit)="SaveData()">
    <div class="mb-3">
        <label class="form-label">Name</label>
        <input type="text" name="name" class="form-control" formControlName="name" />
        <div *ngIf="userForm.controls['name'].errors && (userForm.controls['name'].touched || form.submitted)"
            class="text-danger">
            <span [hidden]="!userForm.controls['name'].errors['required']">Please Enter Name</span>
        </div>
    </div>
    <div class="mb-3">
        <label class="form-label">Email</label>
        <input type="text" name="email" class="form-control" formControlName="email" />
        <div *ngIf="userForm.controls['email'].errors && (userForm.controls['email'].touched || form.submitted)"
            class="text-danger">
            <span [hidden]="!userForm.controls['email'].errors['required']">Please Enter Email</span>
            <span [hidden]="!userForm.controls['email'].errors['email']">Please Enter Correct Email</span>
        </div>
    </div>
    <div class="mb-3">
        <label class="form-label">Password</label>
        <input type="password" name="password" class="form-control" formControlName="password" />
        <div *ngIf="userForm.controls['password'].errors && (userForm.controls['password'].touched || form.submitted)"
            class="text-danger">
            <span [hidden]="!userForm.controls['password'].errors['required']">Please Enter Password</span>
        </div>
    </div>
    <div class="mb-3">
        <label class="form-label">Confirm Password</label>
        <input type="password" name="confirmPassword" class="form-control" formControlName="confirmPassword" />
        <div *ngIf="userForm.controls['confirmPassword'].errors && (userForm.controls['confirmPassword'].touched || form.submitted)"
            class="text-danger">
            <span [hidden]="!userForm.controls['confirmPassword'].errors['required']">Please Enter Confirm Password</span>
        </div>
    </div>
    <div class="mb-3">
        <label class="form-label">Contact</label>
        <input type="text" name="contact" class="form-control" formControlName="contact" />
        <div *ngIf="userForm.controls['contact'].errors && (userForm.controls['contact'].touched || form.submitted)"
            class="text-danger">
            <span [hidden]="!userForm.controls['contact'].errors['pattern']">Please Enter Correct Contact No.</span>
        </div>
    </div>
    <div class="mb-3">
        <input type="submit" value="Sign Up" class="btn btn-primary" />
    </div>
</form>
